org.eclipse.rdf4j.query.parser.sparql

## Class UpdateExprBuilder

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder
    - - org.eclipse.rdf4j.query.parser.sparql.UpdateExprBuilder

- All Implemented Interfaces:
    org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor

  Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
       @InternalUseOnly
      public class UpdateExprBuilder
      extends TupleExprBuilder

  Extension of TupleExprBuilder that builds Update Expressions.
  Author:
    Jeen Broekstra

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `TupleExprBuilder.SameTermCollector, TupleExprBuilder.VarCollector`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateExprBuilder(ValueFactory valueFactory)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Add` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAdd node, Object data)` Deprecated.
    `Clear` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTClear node, Object data)` Deprecated.
    `Copy` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCopy node, Object data)` Deprecated.
    `Create` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCreate node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteClause node, Object data)` Deprecated.
    `DeleteData` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteData node, Object data)` Deprecated.
    `Modify` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteWhere node, Object data)` Deprecated.
    `Clear` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDrop node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertClause node, Object data)` Deprecated.
    `InsertData` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertData node, Object data)` Deprecated.
    `Load` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLoad node, Object data)` Deprecated.
    `Modify` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTModify node, Object data)` Deprecated.
    `Move` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMove node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQuadsNotTriples node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node, Object data)` Deprecated.
    `UpdateExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdate node, Object data)` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `castToValueExpr, createAnonVar, getValueForExpr, mapValueExprToVar, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateExprBuilder

          public UpdateExprBuilder(ValueFactory valueFactory)

      Deprecated.
      Parameters:
        `valueFactory` -

  - ### Method Detail

    - #### visit

          public UpdateExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdate node,
                                  Object data)
                           throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public InsertData visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertData node,
                                  Object data)
                           throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public DeleteData visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteData node,
                                  Object data)
                           throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQuadsNotTriples node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Modify visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteWhere node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Load visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLoad node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Clear visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTClear node,
                             Object data)
                      throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Clear visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDrop node,
                             Object data)
                      throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Create visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCreate node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Copy visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCopy node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Move visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMove node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Add visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAdd node,
                           Object data)
                    throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Modify visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTModify node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteClause node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertClause node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `TupleExprBuilder`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.